html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
    margin: 0;
    padding: 0;
    border: 0;
    /*font-size: 100%;*/

    vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section {
    display: block;
}

iframe {
    width: 100%;
    flex-grow: 1;
    height: 1px;
    /*height: 100%;*/
}

@media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {
    iframe {
        height: 100%;
    }
}

ol, ul {
    list-style: none;
}

blockquote, q {
    quotes: none;
}

    blockquote:before, blockquote:after,
    q:before, q:after {
        content: '';
        content: none;
    }

table {
    border-collapse: collapse;
    border-spacing: 0;
}

#wrap {
    width: 100%;
    height: 100%;
    position: relative;
    display: flex;
    flex-direction: column;
    overflow: hidden;
}

    #wrap #sectioncontent {
        flex: 1 1 auto;
        overflow: hidden;
        display: flex;
    }

.asidewrap {
    position: relative;
    width: 100vw;
    overflow: visible;
    display: flex;
    align-items: center;
    box-sizing: border-box;
    padding: 0 20px;
}

    .asidewrap aside {
        z-index: 100;
        position: relative;
        width: auto;
        flex: 0 1 auto;
        display: flex;
        align-items: center;
    }

        .asidewrap aside ul.root {
            display: flex;
            flex-wrap: wrap;
            align-items: center;
        }

right-section, .footer {
    display: block;
}

aside h2 {
    line-height: 1.5em;
    font-weight: bold;
    text-align: center;
    text-transform: uppercase;
}

aside ul li,
.profilemenu,
.profilemenu li {
    display: inline-flex;
    align-items: center;
    position: relative;
}

    aside ul ul li,
    .profilemenu .inner > li,
    .langs > li {
        min-width: 100%;
        height: 48px;
        padding: 0 .5em;
        box-sizing: border-box;
    }

.langs > li {
    white-space: nowrap;
    flex: 1 1 auto;
}

    .langs > li > div {
        min-width: 4em;
    }

aside a {
    text-decoration: none;
    white-space: nowrap;
}

aside .root > li {
    padding: 0 .5em;
    margin: 0 .5em;
    height: 36px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    border-radius: 18px;
    font-size: 16px;
    box-sizing: border-box;
    cursor: pointer;
}

#zhuye {
    border-radius: 50%;
    padding: 8px;
    display: flex;
    align-items: center;
}

aside .root > li > a {
    transition-duration: .5s;
    transition-timing-function: ease-out;
}

@media screen and (max-height: 600px) {
    aside li a {
        line-height: 20px;
        font-size: 12px;
    }
}

.inner,
.inneritem {
    visibility: hidden;
    position: absolute;
    top: 100%;
    left: 100%;
    z-index: 598;
    width: auto;
    min-width: 6em;
}

    aside .root > li:hover > ul.inner:empty,
    .inner:empty {
        display: none;
    }

aside .root > li:hover > ul,
.profilemenu:hover .inner {
    visibility: visible;
    left: 0;
    top: 100%;
    display: flex;
    flex-direction: column;
}

.profilemenu:hover .inner {
    left: auto;
    right: 0;
}

aside .inner,
aside .inneritem,
.profilemenu ul {
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.15);
    border-radius: 5px;
    border-radius: 5px;
    padding: 5px 0;
}

    aside .inner > li:hover > .inneritem {
        visibility: visible;
        bottom: 0;
        top: auto;
        margin-bottom: -5px;
        box-sizing: border-box;
    }

.profile,
.langmenu > div:not(.inneritem) {
    display: inline-flex;
    width: 100%;
    height: 100%;
    align-items: center;
    white-space: nowrap;
}

.langmenu:hover > .inneritem {
    position: absolute;
    margin-right: -13px;
    padding-right: 15px;
    margin-top: -5px;
    visibility: visible;
    top: 0;
    box-sizing: border-box;
    right: 100%;
    left: auto;
    background: transparent;
    box-shadow: none;
    z-index: -1;
}

    .langmenu:hover > .inneritem > ul {
        position: relative;
        visibility: visible;
        top: auto;
        left: auto;
    }

.linksmenu {
    white-space: nowrap;
}

    .linksmenu li img {
        margin-right: 8px;
    }

#leftfooter {
    flex: 0 0 auto;
    font-size: 12px;
    z-index: 99;
}

    #leftfooter a {
        text-decoration: none !important;
        /* font-size: 12px; */
    }

.center img {
    margin: 0 auto;
    display: block;
    width: 100%;
    max-width: 95px;
}

#sticker {
    width: 0px;
    height: 0px;
    padding: 0px;
    visibility: hidden;
    position: absolute;
    left: -5000px;
}
/*bug fix*/
aside li.active, aside li:hover {
    -background: url("../images/menuHover.png") right 0px top -15px no-repeat;
}

.toast-success h1 {
    position: absolute;
    width: 100%;
    text-align: center;
    height: 34px;
    top: 0;
    left: 0;
    padding-top: 11px;
    font-weight: normal;
}

.toast-close-button {
    top: -0.6em;
}
/* */
.toast-bottom-right {
    right: 12px;
    bottom: 12px;
}

.toast-top-right {
    right: 12px;
    top: 12px;
}

.toast-bottom-left {
    left: 12px;
    bottom: 12px;
}

.toast-top-left {
    left: 12px;
    top: 12px;
}

#toast-container,
.toast-container {
    position: fixed;
    z-index: 999999;
    pointer-events: none;
    transform: translateZ(1px);
}

    #toast-container *,
    .toast-container * {
        -moz-box-sizing: border-box;
        -webkit-box-sizing: border-box;
        box-sizing: border-box;
    }

    #toast-container > div,
    .toast-container > div {
        position: relative;
        pointer-events: auto;
        overflow: hidden;
        margin: 0 0 6px;
        padding: 15px 15px 15px 10px;
        width: 300px;
        -moz-border-radius: 3px;
        -webkit-border-radius: 3px;
        border-radius: 3px;
        background-position: 15px center;
        background-repeat: no-repeat;
        -moz-box-shadow: 0 0 12px #999;
        -webkit-box-shadow: 0 0 12px #999;
        box-shadow: 0 0 12px #999;
        color: #000;
        _opacity: .8;
        -ms-filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=80);
        filter: alpha(opacity=80);
    }

@media (max-width: 768px) and (min-width: 481px) {
    #toast-container > div,
    .toast-container > div {
        padding: 15px 15px 15px 50px;
        width: 25em;
    }

    #toast-container > .toast-success,
    .toast-container > .toast-success {
        _background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAAAXNSRâ€¦0CWuABKgnRki9lLseS7g2AlqwHWQSKH4oKLrILpRGhEQCw2LiRUIa4lwAAAABJRU5ErkJggg==) !important;
    }
}

.toast-close-button {
    position: relative;
    right: -.3em;
    top: -.3em;
    float: right;
    _font-size: 20px;
    _font-weight: 700;
    color: #000;
    -webkit-text-shadow: 0 1px 0 #000;
    text-shadow: 0 1px 0 #000;
    opacity: .8;
    -ms-filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=80);
    filter: alpha(opacity=80);
}

button.toast-close-button {
    padding: 0;
    cursor: pointer;
    -webkit-appearance: none;
    background: url('../QuoteWeb/resources/images/PA-A.png') no-repeat;
    width: 23px;
    height: 23px;
    background-size: 23px 23px;
    border: 1px #d4d3ce solid;
}

    button.toast-close-button.disable {
        background: url('../QuoteWeb/resources/images/PA.png') no-repeat;
        background-size: 23px 23px;
        border: 1px #909090 solid;
    }

        button.toast-close-button.disable span {
            width: 8px;
            height: 8px;
            background: red;
            display: block;
            float: right;
            background: url('../QuoteWeb/resources/images/delete.png') no-repeat;
            background-size: 8px 8px;
        }

.toast-message {
    -ms-word-wrap: break-word;
    word-wrap: break-word;
    font-size: 14px;
    overflow: auto;
    min-height: 100px;
    clear: both;
    border: 1px #b9b9b9 solid;
}

    .toast-message table td {
        padding: 2px;
    }

    .toast-message table {
        width: 100%;
    }

#toast-container .btn,
.toast-container .btn {
    border: 1px solid transparent;
    cursor: pointer;
    padding: 3px 12px;
    text-align: center;
    vertical-align: middle;
    background-color: #e6dfc1;
    border-color: #d4d3ce;
    color: #000;
}

.toast-center {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: rgba(0,0,0,0.4);
    z-index: 999999;
    transform: translateZ(1px);
}

body.webt5 .toast-center .toast-success {
    background-color: white;
    border-radius: 5px;
    position: relative;
}

    body.webt5 .toast-center .toast-success h1 {
        display: none;
    }

.toast-center .toast {
    min-width: auto;
    min-height: auto;
}

.toast-center .toast-message {
    display: flex;
    flex-direction: column;
    overflow: hidden;
    min-height: auto;
    padding: 10px;
    border: none;
}

    .toast-center .toast-message > div {
        display: flex;
    }

.trialcover {
    flex: 1 1 auto;
    display: flex;
    align-items: center;
    justify-content: center;
}

.toast-success {
    width: 100vw;
    box-sizing: border-box;
    margin-left: 33px;
    margin-right: 33px;
}

    .toast-success.logoff_info,
    .toast-success.export_result {
        width: auto;
    }

        .toast-success.export_result .toast-message > div:nth-child(2) {
            align-items: center;
            justify-content: center;
        }

.trialcover iframe {
    min-height: 59vw;
    border-radius: 5px;
}

.toast-center .toast-close-button {
    position: absolute;
    left: 100%;
    top: 0;
    background: transparent;
    border: none;
}

.toast-center .toast-cancel-button,
.toast-center .toast-confirm-button {
    cursor: pointer;
    padding: .5em 1em;
    border-radius: 4px;
    border: solid 1px rgba(0, 0, 0, 0.15);
    background-color: #fff;
}

.toast-center .toast-confirm-button {
    background-color: #0050b4;
    color: #fff;
}

#Disclaimer {
    padding: 20px;
}

    #Disclaimer p {
        font-size: 11px;
        line-height: 15px;
    }

#disclaimerContent {
    width: 100%;
    height: 297px;
    overflow: auto;
    padding: 5px;
}

#Disclaimer input[type="submit"], #Disclaimer input[type="button"], #Disclaimer input[type="reset"] {
    color: #FFFFFF;
    background: #F16422;
    border: 2px solid #d7b9c9;
}

    #Disclaimer input[type="submit"]:hover, #Disclaimer input[type="button"]:hover {
        color: #F16422;
        background: #FFFFFF;
        border: 2px solid #d7b9c9;
    }

    #Disclaimer input[type="submit"]:hover, #Disclaimer input[type="button"]:hover {
        font-weight: bold;
    }

#Disclaimer .leftpanel {
    width: 100px;
    float: left;
    _margin-left: -99%;
}

#Disclaimer .rightpanel {
    margin-left: 100px;
}

#Disclaimer .clear {
    clear: both;
}

#mainContainner {
    height: 100vh;
}

#lefttopper {
    flex: 0 0 auto;
    padding-right: 20px;
    display: flex;
    align-items: center;
    margin-bottom: -5px;
}

sectionHeader {
    height: 6vh;
    min-height: 40px;
    _background: #0094ff;
    width: 100%;
    display: flex;
    flex-direction: column;
}

.footer {
    height: 6vh;
    min-height: 40px;
    margin-left: 0;
    flex: 0 0 auto;
    display: flex;
    flex-direction: column;
}

#leftfooter {
    font-size: 2vh;
    padding: .2em;
    box-sizing: border-box;
}

right-section {
    margin-left: 0;
    flex: 1 1 auto;
}

right-section, #fullcontent {
    display: flex;
    flex-direction: column;
}

#fullcontent {
    flex: 1 1 auto;
}

sectionfooter {
    font-size: 1em;
    padding: .5vh 0;
    border-top: 1px solid gray;
}

    sectionfooter #disclaimer {
        display: flex;
        justify-content: center;
        align-items: center;
    }

        sectionfooter #disclaimer .LOGO {
            background-image: url(../QuoteWeb/resources/images/LOGO_inverse.svg);
            background-size: contain;
            background-repeat: no-repeat;
            background-position: center;
            width: 4em;
            height: 1em;
            min-height: 15px;
            min-width: 60px;
        }

#bottomdisclaimerLink2 {
    display: flex;
    align-items: center;
}

.toast-message tbody td, .toast button {
    font-size: 2vh;
}

.toast {
    min-width: 25em;
    min-height: 15em;
    display: flex;
    flex-direction: column;
}

.toast-message {
    flex: 1 1 auto;
}

button.toast-close-button {
    align-self: flex-end;
}

.padding {
    flex: 1 1 auto;
    min-width: 1em;
}

.root li, .inner, .inneritem {
    cursor: pointer;
    background-color: #fff;
    font-size: 16px;
}

    .root li > a {
        color: #212121;
    }

    .root li:hover,
    .profilemenu li:hover,
    .profilemenu:hover > div:nth-child(1),
    #logon > div:nth-child(1):after,
    #zhuye:hover {
        background-color: #f2f2f2;
    }

#logon,
#logoff,
.loggedin,
#logon > div:nth-child(1) {
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
}

.profilemenu > div {
    min-width: 36px;
    min-height: 36px;
    border-radius: 50%;
    margin: 0 10px;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
}

.loggedin,
#logon > div:nth-child(1) {
    min-width: 36px;
    min-height: 36px;
    border-radius: 50%;
    margin-right: 8px;
}

    .profilemenu > div:after,
    .loggedin:after,
    #logon > div:nth-child(1):after {
        content: '';
        position: absolute;
        width: 100%;
        padding-bottom: 100%;
        border-radius: 50%;
    }

    .profilemenu > div img,
    .loggedin > div,
    #logon > div:nth-child(1) img {
        z-index: 1;
        position: absolute;
    }

    .loggedin:after {
        background-color: #0d9bf4;
    }

.root > li.active > a {
    color: #0050b4;
}

.inner li.active {
    background-color: #0050b4;
}

    .inner li.active > a,
    .profilemenu .inner li.active > div,
    .langs li.active > div,
    .loggedin,
    .profilemenu.loggedin > div {
        color: #ffffff;
    }

.grayout, .grayout a {
    -background-color: #dadada !important;
    color: #a7a7a7 !important;
}

#zhuye:after {
    content: '';
    width: 20px;
    height: 20px;
    background: url(../resources/images/xinzhuye/home.svg) center no-repeat;
    background-size: contain;
}

#zhuye:hover:after,
#zhuye.active:after {
    background: url(../resources/images/xinzhuye/home_active.svg) center no-repeat;
}

.trialcover {
    -background: url("../resources/images/xinzhuye/nopermission.png") center no-repeat;
    background-size: contain;
}

.trialbtn {
    padding: 20px 184px;
    padding-top: 12px;
    font-size: 28px;
    font-weight: 600;
    font-stretch: normal;
    font-style: normal;
    line-height: normal;
    letter-spacing: normal;
    color: #fff;
    background: url("../resources/images/xinzhuye/trialbtn.svg") center no-repeat;
    background-size: contain;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}

.addtofav {
    display: flex;
    background-image: linear-gradient(91deg, #549eff 2%, #3c7df5 22%, #a848f6 73%, #b214fa 87%);
}

    .addtofav > div:nth-child(1) {
        flex: 1 1 auto;
        display: flex;
        align-items: center;
        justify-content: center;
        font-size: 14px;
        font-weight: normal;
        font-stretch: normal;
        font-style: normal;
        line-height: normal;
        letter-spacing: normal;
        color: #fff;
    }

    .addtofav img {
        height: 1em;
    }

    .addtofav > div:nth-child(2) {
        cursor: pointer;
        padding: 0 6px;
        display: inline-flex;
        align-items: center;
    }

#applytrial {
    flex: 0 0 auto;
    display: flex;
    align-items: center;
    color: white;
    padding: 5px 10px;
    background-image: linear-gradient(111deg, #549eff 10%, #3c7df5 40%, #a848f6 75%, #b214fa 96%);
    border-radius: 50px;
    font-size: 16px;
    user-select:none;
    cursor:pointer;
}

    #applytrial:empty {
        opacity: 0;
        display: none;
        flex:0 0 auto;
        pointer-events: none;
    }

    #applytrial:hover {
        filter: drop-shadow(0px 0px 2px #549eff);
    }

    @media (orientation: portrait) {
        .asidewrap {
        width: auto;
        padding: 0;
        flex-wrap: wrap;
    }

        .asidewrap aside {
            order: 99;
        }

    aside .root > li {
        font-size: 0.8rem;
        padding: 0;
        margin: 5px;
        height: 1em;
    }

    #fullcontent {
        padding: 0;
    }
}

@media (orientation: landscape) {
    #mainContainner {
        min-width: 810px;
        min-height: 530px;
    }
}

@media (min-width: 1024px) {
    .asidewrap {
        padding: 10px 100px;
    }

    #fullcontent,
    sectionHeader {
        padding: 0 100px;
    }

    sectionHeader {
        -background-color: #f4f4f4;
        box-sizing: border-box;
        box-shadow: 0 1px 0 0 rgba(0, 0, 0, 0.15);
    }

    .trialcover iframe {
        min-height: 572px;
        min-width: 860px;
        border-radius: 5px;
    }

    .toast-success {
        width: auto;
    }
}
